/* eslint-disable */
import * as axios from 'axios';

enum ResCode {
	/** @description 成功 */
	Success = 0,
	/** @description 确认（权限验证使用） */
	Confirm = -1,
	/** @description 提示（验证失败后使用） */
	Prompt = -2,
	/** @description 警告（业务异常使用） */
	Alert = -3,
	/** @description 错误（未捕获系统异常使用） */
	Error = -4,
	/** @description 超时（暂不使用） */
	TimeOut = -5,
}

// 扩展 axios 数据返回类型，可自行扩展
declare module 'axios' {
	export interface AxiosResponse<T = any> extends {} {
		Code: ResCode;
		Error?: string;
		Data?: T;
		Message: string;
		Extra?: string;
		Timestamp: string;
		[key: string]: T;
	}
}
